Subject: RE: Complaining about ADs to Nomcom (Re: Voting (again))

From: "Soliman, Hesham" <[email-masked]>
Date: Wed, 4 May 2005 13:10:22 -0400

> Please understand the argument that was made strongly while
 > RFC 3777 was in WG discussion: there is reason to believe that
 > a substantial fraction of the potential candidates would *not*
 > volunteer if they were entering a public race. It's hard to
 > judge the validity of that argument, but it's certain that
 > publishing the names would change the whole process in
 > unpredictable ways.

=> Sure I know about the argument, I just don't agree with it. 
Please note that I'm not suggesting an "election race". There is 
no way to control that of course and it might happen inadvertently, 
but my point is that in the long term it's better to do that and have 
an open process that self-corrects. There is no way of measuring 
how useful something is without having a consistent open process. So
at least we'd know how to improve once we have a measurable process. 
BTW, other SDOs have a similar election process with varying degrees of 
success (of course measuring success deoends on how you set the goals).

 > 
 > One way to open up the process would be to allow any participant
 > to personally request a list of candidates from Nomcom, against
 > a personal non-disclosure promise. (Not my idea; this was suggested
 > during last week's IESG retreat.)

=> If we do that we may as well put the list on the web. How do we define
"participant"?

Hesham

 >      Brian

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: [email-masked]
Date: Thu, 5 May 2005 08:22:32 +0300

Brian & Jari,

> Like Hesham, I am also aware of this argument and do not
> necessarily agree with it. (In fact, one could make the point
> that not being able to tell you have volunteered sounds a bit
> wimpy compared to what kind of public visibility and pressures
> the folks need to deal with if they are actually selected,
> particularly to the IESG.)
> 
> Also, to give you a datapoint on potential candidates -- my name's
> been given to nomcom a couple of times and I certainly would not be
> bothered by folks knowing who has volunteered and who has not.
> And I think John L said something similar as well.

I wouldn't mind if my name was made public the times that I have volunteered;
but again, I wasn't active in the discussions of RFC3777.  I agree with
Jari on the above points.

John

---

From: "Christian Huitema" <[email-masked]>
Date: Sat, 7 May 2005 10:52:12 -0700

Margaret Wasserman wrote:

> What is "reasonable turnover" for the IESG?
> 
> ... successful ADs who are willing to
> continue serving will probably be in-office for an average of 8-10
> years (4-5 terms).  This seems to match existing practice.

I personally find that this is too long.

> What level of turnover do you think would be healthy?  And what would
> be the impacts of having more new ADs each year?

My personal preference would be an average of 4 to 6 years. You have to
ensure turnover for multiple reasons: even if you have the best
intentions, power does corrupt, attention fades, you get disconnected
from your peers, you develop an us versus them attitude, etc. I don't
necessarily believe in term limits, but remaining in an AD position for
more than 8 years feels very unhealthy. 

This is a volunteer organization. When you get a management position,
your attitude should to make the best possible job for the duration of
your mandate, then voluntarily withdraw and let someone take the next
watch.

-- Christian Huitema

---

From: Margaret Wasserman <[email-masked]>
Date: Sat, 7 May 2005 16:32:04 -0400

>more than 8 years feels very unhealthy.

I agree with you, but I think we may be discussing a serious problem 
that has already been solved.  By my (possibly inaccurate) count, he 
current IESG members have been serving for the following lengths of 
time:

Brian Carpenter, new
Ted Hardie, 2 years
Scott Hollenbeck, 1 year
Mark Townsley, new
Margaret Wasserman, 1+ years
David Kessens, 2 years
Bert Wijnen, 7 years
Bill Fenner, 3+ years
Alex Zinin, 3 years
Sam Hartman, < 1 year
Russ Housley, 2 years
Allison Mankin, 5 years (plus 4 years previously)
Jon Peterson, 2 year

So, only one AD has been serving sequentially for longer than your 
proposed 4-6 year period, and this group of 13 people has been served 
on the IESG for a total of 33 years, or an average of ~2-1/2 years 
per AD.

Contrast this with the IESG from two years ago (March 2003) with 
their lengths of service as of that date:

Harald Alvestrand, 2 years (plus 4 years previously)
Steve Bellovin, 1 year
Scott Bradner, 10 years
Randy Bush, 4 years
Patrik Faltstrom, 5 years
Bill Fenner, 1+ years
Ned Freed, 3 years
Allison Mankin, 3 years (plus 4 years previously)
Thomas Narten, 6 years
Erik Nordmark, 4 years
Jeff Schiller, 9 years
Bert Wijnen, 5 years
Alex Zinin, 1 year

These 13 people has served (as of March 2003) on the IESG for a total 
of 62 years, or an average of ~4-3/4 years per AD. 

Only 4 of these 13 ADs who were severing in March 2003 are still 
serving 2 years later, so we have seen a turnover of approximately 
70% of the ADs in a two year period.

Do you actually think that we need an even higher turnover?  Or are 
you pointing out an historical problem which may have been corrected 
over the past two years?

Margaret

---

From: "Christian Huitema" <[email-masked]>
Date: Sat, 7 May 2005 18:57:02 -0700

> you pointing out an historical problem which may have been corrected

I was merely reacting to your assessment that renewal rate by the nom
com of less than 25% leads to average terms of 8-10 years, which in my
mind is too long. As you point out, in practice, people tend to not stay
much longer than 4 years -- and we should thank them for serving even
that long. There were a few examples of AD serving for 10 years or more,
it is not the case anymore, and that is very well.

-- Christian Huitema

---

From: "John Loughney" <[email-masked]>
Date: Mon, 9 May 2005 21:37:02 +0200

Hi all,

Is it true true that we suffer from a lack of IESG candidates? I've often heard this claim, but I've been asked by the NOMCOM to comment on list for the part few years & it seemed that there were capable names on the lists (unless they were all ringers).

John

====================
The good thing about mobile email is that t9 forces you to be brief.

--- original message ---
Subject:	Re: Complaining about ADs to Nomcom (Re: Voting (again))
Sender:	Margaret Wasserman <[email-masked]>
Date:		05/07/2005 5:43 pm

Hi John,

At 9:18 AM -0400 5/7/05, John C Klensin wrote:
>Whatever the reasons, we don't seem to have enough plausible
>candidates to provide reasonable turnover on the IESG (which,
>personally, I think would be healthy).

I haven't been on a nomcom, but (from the outside) most of them seem 
to start with the assumption that they should not change more than 3 
IESG members at a time.  If that is considered prudent, then we are 
talking about  a situation where a maximum of 1/4 of the IESG will be 
intentionally replaced each cycle. Factoring in mid-term resignations 
and the possibility that the nomcom may occasionally make a poor 
choice requiring quicker turnover, successful ADs who are willing to 
continue serving will probably be in-office for an average of 8-10 
years (4-5 terms).  This seems to match existing practice.

Margaret

---

From: "John Loughney" <[email-masked]>
Date: Tue, 10 May 2005 23:07:30 +0200

Seems resonable to of as well.

====================

--- original message ---
Subject:	Re: Complaining about ADs to Nomcom (Re: Voting (again))
Sender:	Dave Crocker <[email-masked]>
Date:		05/10/2005 5:27 pm

>  On day N, publish the list of willing nominees so far and invite further
>
>  nominations before day N+14.
>
>  On day N+28, publish the final list of willing nominees and invite
>  feedback.
>
>  This would, if we wanted to publish the names, give 2 weeks for extra
>  nominations and another 2 weeks to check their willingness to serve.

seems pretty reasonable.

  d/
  ---
  Dave Crocker
  Brandenburg InternetWorking
  +1.408.246.8253
  dcrocker  a t ...
  WE'VE MOVED to:  www.bbiw.net

---

From: "Soliman, Hesham" <[email-masked]>
Date: Wed, 11 May 2005 11:24:49 -0400

> > => With all due respect to those people, I think it's a shame
 > > they feel like that. It seems like the selection decision 
 > is perceived
 > > as a personal judgement by those people. Good people may not 
 > > get selected for a million reasons. I hate making blanket 
 > judgements
 > > but this kind of attitude is probably not a healthy attitude for 
 > > an AD-to-be. 
 > 
 > But there is another issue. When someone asks their employer for
 > agreement to be a candidate, the employer may worry about the PR
 > impact. Imagine:
 > 
 >     "Flarion employee passed over for prestigious IETF job; major
 >      competitor chosen instead"
 > 
 > So the candidate's personal attitude may not come into it at all.

=> I thought we were all participating as people not on behalf of 
our companies :) 
You're right of course, some companies can be embarrased by this. Not
that it will result in a drop in share price (we're far from being
that important). There is a worse outcome too, a company might react
to the above incident by trying to influence (one way or another) to
get its employee in this position next time. So there is some cultural
improvements that will need to go with our process. And just as importantly,
we'll need objective behaviour from all parties involved. 
But in the absence of all that, no process will be useful IMO. The difference
is, in one case (today) it's a secret, and in the other it's out in the 
open. 

Hesham

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 11 May 2005 18:47:24 -0700

I think that what is needed here is transparency, the problem is not the
outcome, it's the way the outcome is arrived at. 

I think that it is equally important to have the same level of
transparency when WG chairs are appointed. The WG should be told when a
vacancy is coming up and there should be an open call for volunteers.

I don't think that we would end up with different chairs but people
would feel a lot more involved than they do at present when a chair
suddenly gets parachuted in without the group even knowing that a
vacancy existed.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Danny McPherson
> Sent: Wednesday, May 11, 2005 3:31 PM
> To: [email-masked]
> On May 9, 2005, at 8:09 AM, Brian E Carpenter wrote:
> >
> > I'm going to ask this year's Nomcom chair to see if this year's 
> > candidates can answer the question "would you have run if your name 
> > had been made public?"
> >
> >    Brian
> 
> Brian et al.,
> Here are some data points for folks to consider.  Thanks to 
> all those (a surprisingly large amount in two days!) that 
> replied to my query.
> 
> -------------------------
> Question asked to all 2004/05 IESG & IAB "willing nominees":
> 
> Would you have accepted nomination if the list of "willing 
> nominees" was made public:  YES or NO?
> 
> Response results:
> ---
> IESG Nominees:
> Total Responses: 83% of IESG Nominees
> YES: 79.4%
> NO: 20.6%
> ---
> IAB Nominees:
> Total Responses: 86.3% of IAB Nominees
> YES: 86.4%
> NO: 13.6%
> -------------------------
> 
> I didn't include any additional comments several folks 
> expressed, as many of them have already been discussed here.  
> I'm certain that if I posed slightly different variations of 
> this question (for example, "What if the list were padded 
> w/ringers?" or the like) responses would have been different.
> 
> One interesting (and perhaps rather intuitive) observation 
> that's not entirely obvious from the numbers above is that 
> several folks were OK with their names being listed as 
> "willing nominees" for only a subset of the positions which 
> they'd been nominated (e.g., OK with IAB nomination being 
> public, but not IETF chair or IESG nomination being public).
> 
> Given the time I've spent with the NomCom over the last year 
> as chair, (and my previous voting member term a couple years 
> ago), I can say for sure that making the lists public would 
> certainly be interesting and useful from the perspective of 
> collecting feedback on nominees from the community.  However, 
> I also understand why many folks are opposed to making the 
> list of "willing nominees" public.
> 
> -danny
> 
> 
> 
>

---

From: "John Loughney" <[email-masked]>
Date: Tue, 17 May 2005 15:50:46 +0300

John,

One thing that Danny's questionaire didn't address was "How many additional folks might consider putting their names in the hat if they knew the candidates. In past years, when I have gotten a request from NOMCOM to review the padded list, I've thought to myself 'If I knew only these folks were running, I would have considered ...' I wonder if other people have thought the same.

John L. 

_____ Original message _____
Subject:	Re: Complaining about ADs to Nomcom (Re: Voting (again))
Author:	"John C Klensin" <[email-masked]>
Date:		16th May 2005 9:58:21  PM

In the light of this and Dave's comments, and since I used to 
teach people how to design survey questions so that the 
questions were as non-reactive as possible and the answers could 
be interpreted.  There is nothing inherently wrong with a 
self-report question.  We ask them all the time and normally 
expect truthful answers.  The tricky part is understanding which 
questions people may not want to answer truthfully, the reasons 
why, and, if the person who is reluctant to answer provides 
_some_ answer, how either that or a pattern of non-response is 
likely to bias the results.

For example, if one asks a large sample of 10-year-olds how old 
they are, the answers will, predictably, be mostly truthful: 
there are few incentives to lie and mistakes will tend to be 
nearly randomly distributed (slightly fatter tail to the 
"younger" side because of forgetting birthdays).   If one asks 
the same question of 60 year olds, the answer pattern would 
probably be different, and it is important, if one is trying to 
interpret validity, to understand those differences and their 
likely impact, rather than assuming either that all population 
groups are the same or that all self-report answers are invalid.

Coming back to the question at hand, if the nomcom asks people 
whether they would have accepted nominations if their names 
would become public, why would someone lie?  And, if they did, 
then which way would the report be biased.   I would think that 
people who are inclined to give incorrect answers would be more 
inclined to answer "no problem" given the community's biases 
about openness and unwillingness to admit that they require 
secrecy.  Maybe I'm wrong about that, but, if I'm not, the 
results Danny reported would, if anything, underestimate the 
number of people who would not be willing to be considered if 
their names were public.

We now return you to the regularly-scheduled religious arguments 
on the subject.

        john

--On Monday, May 16, 2005 10:52 +0200 Brian E Carpenter 
<[email-masked]> wrote:

> You've seen Danny's message with the results of asking the
> question in a straightforward way - 20% of IESG nominees
> say they would not have volunteered. Unlike Dave, I am
> willing to believe them.
>
> fwiw I responded "Yes" to Danny's question, but not
> without careful thought and some hesitation.
>
>     Brian
>
> Dave Crocker wrote:
>>> Seems fairly easy to judge the validity of that argument to
>>> me.  ASk the nomcom to ask volunteers whether they would
>>> have volunteered if their name was gonig to be made public.
>>> Collect statistics.
>>
>>
>>
>> Sam,
>>
>> Sorry, no.
>>
>> As I posted earlier, that sort of methodology relies on what
>> survey  researchers call "self-report".
>>
>> It is very good for assessing attitudes and very bad for
>> assessing  actual behavior.
>>
>> For example, what you are likely to get are responses that
>> indicate  whether the people would like to have nominations
>> be public.
>>
>> It does not guarantee -- and well might not even correlate
>> with --  whether they really would run or not run, depending
>> on the public-ness  of the nomination.
>>
>> It is one thing to ask simple questions about simple issues.
>> As soon as  we get into something more "political" the
>> psychodynamics get messy.
>>
>>
>>   d/
>>   ---
>>   Dave Crocker